public class CadCoordinationModel extends CadBaseEntity
Class describing Coordination Model
Constructor and Description |
---|
CadCoordinationModel()
Initializes a new instance of the
CadCoordinationModel class. |
Modifier and Type | Method and Description |
---|---|
Double |
getInsertionUnitFactor()
Gets or sets the insertion unit factor.
|
List<Double> |
getModelTransformCoordinates()
Gets or sets the model transform coordinates.
|
String |
getSoftPointerToAcDbNavisworksModelDef()
Gets or sets the soft pointer to ac database navisworks model definition.
|
int |
getTypeName()
Gets the name of the type.
|
void |
setInsertionUnitFactor(Double value)
Gets or sets the insertion unit factor.
|
void |
setModelTransformCoordinates(List<Double> value)
Gets or sets the model transform coordinates.
|
void |
setSoftPointerToAcDbNavisworksModelDef(String value)
Gets or sets the soft pointer to ac database navisworks model definition.
|
getBounds, getChildObjects, getColorId, getColorName, getColorValue, getEntmode, getHyperlink, getLayerName, getLayoutTabName, getLineScale, getLineTypeName, getLineWeight, getLType, getMaterial, getMaterialHandle, getNumreactors, getPlotStyle, getPlotStyleFlag, getProxyBytesCount, getProxyData, getShadowMode, getSpaceMode, getStorageFlag, getTransparency, getVisible, getXDirMissingFlag, isByLayer, isNoLinks, setBounds, setByLayer, setChildObjects, setColorId, setColorName, setColorValue, setEntmode, setHyperlink, setLayerName, setLayoutTabName, setLineScale, setLineTypeName, setLineWeight, setLType, setMaterial, setMaterialHandle, setNoLinks, setNumreactors, setPlotStyle, setPlotStyleFlag, setProxyBytesCount, setProxyData, setShadowMode, setSpaceMode, setStorageFlag, setTransparency, setVisible, setXDirMissingFlag
getHardOwner, getSoftOwner, isSoftOwnerSet, setHardOwner, setSoftOwner
getApplicationCodesContainer, getAttribute102Values, getAttributes, getEmbeddedObjectsContainer, getObjectHandle, getXdataContainer, setApplicationCodesContainer, setAttribute102Values, setAttributes, setEmbeddedObjectsContainer, setObjectHandle, setXdataContainer
public CadCoordinationModel()
Initializes a new instance of the CadCoordinationModel
class.
public int getTypeName()
Gets the name of the type.
getTypeName
in class CadBaseEntity
public final String getSoftPointerToAcDbNavisworksModelDef()
Gets or sets the soft pointer to ac database navisworks model definition.
public final void setSoftPointerToAcDbNavisworksModelDef(String value)
Gets or sets the soft pointer to ac database navisworks model definition.
value
- The soft pointer to ac database navisworks model definition.public final List<Double> getModelTransformCoordinates()
Gets or sets the model transform coordinates.
public final void setModelTransformCoordinates(List<Double> value)
Gets or sets the model transform coordinates.
value
- The model transform coordinates.public final Double getInsertionUnitFactor()
Gets or sets the insertion unit factor.
public final void setInsertionUnitFactor(Double value)
Gets or sets the insertion unit factor.
value
- The insertion unit factor.